Bug 17611 - Searching for orders uses misleading column name "Pending order"
Summary: Searching for orders uses misleading column name "Pending order"
Status: Signed Off
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-11 08:11 UTC by Radek Šiman (R-Bit Technology, s.r.o.)
Modified: 2020-01-15 12:35 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17611: Change 'Pending order' to 'Quantity ordered' (3.06 KB, patch)
2020-01-12 09:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17611: Change 'Pending order' to 'Quantity ordered' (3.12 KB, patch)
2020-01-15 12:35 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-11 08:11:37 UTC
Steps to reproduce:
1) Open the Acquisition module
2) At the top of the page click "Orders search"
3) Fill-in a book title that has been already received and submit the form
4) Title is found displaying (among others) these columns:
   - Quantity received
   - Pending order

The Pending order is NOT pending, in fact. The header should be renamed to "Quantity ordered".
Comment 1 Jonathan Druart 2016-11-11 08:13:54 UTC
Ccing Sonia, would you agree with the column's header renaming or do you think it's better to update the value (quantity ordered - quantity received)?
Comment 2 Koha Team University Lyon 3 2016-11-18 13:55:12 UTC
Hum... in my opinion, as when we partially received an order, it creates a new order, the quantity ordered isn't so interesting.
It's just important to fix the number of pending orders.

Just my 2 cents, I'm not sure what would be better for the greatest number of librarians.

Sonia
Comment 3 Radek Šiman (R-Bit Technology, s.r.o.) 2016-11-19 08:07:26 UTC
I'd agree with Sonia. The total quantity ordered is important at the very beginning of acquisition process, but whe the order is received partially, it shoudl display the result of "ordered MINUS received", which makes more sense, I think. Or, another proposal... What if we display in the column "Pending order" a value like "2 of 5"?
Comment 4 Katrin Fischer 2020-01-12 09:19:09 UTC
Created attachment 97262 [details] [review]
Bug 17611: Change 'Pending order' to 'Quantity ordered'

Picking Quantity ordered as it seems more in line with
other pages in Koha where we show information. We always
show the quantity, so it makes sense to also have this
label on the 'order search' and 'copy existing order'.

Order search
1) Make sure you have some orders in your acq module
2) Go to the top and do an empty orders search
3) Review the column headings of the search results
4) Find "Pending order"

Order from existing order (copy)
1) Create or choose an existing open basket
2) 'Add to basket' - 'From existing orders'
3) Search to find some of your orders
4) Look at the column headings, find 'Pending order'
5) Pick some orders and fill out order information, save
6) Summary: Find 'Pending order' in the table again

x) Apply the patch and make sure all 'Pending' orders
above have been changed to 'Quantity ordered'.
Comment 5 Katrin Fischer 2020-01-12 09:21:46 UTC
Don't be mad at me, but after reviewing other pages in the acquisition module and testing the partial receive process, I've decided to use the 'Quantity ordered' instead of changing the content of the column. It feels more in line with the other pages in the acquisition module for now.
Comment 6 Owen Leonard 2020-01-15 12:35:15 UTC
Created attachment 97390 [details] [review]
Bug 17611: Change 'Pending order' to 'Quantity ordered'

Picking Quantity ordered as it seems more in line with
other pages in Koha where we show information. We always
show the quantity, so it makes sense to also have this
label on the 'order search' and 'copy existing order'.

Order search
1) Make sure you have some orders in your acq module
2) Go to the top and do an empty orders search
3) Review the column headings of the search results
4) Find "Pending order"

Order from existing order (copy)
1) Create or choose an existing open basket
2) 'Add to basket' - 'From existing orders'
3) Search to find some of your orders
4) Look at the column headings, find 'Pending order'
5) Pick some orders and fill out order information, save
6) Summary: Find 'Pending order' in the table again

x) Apply the patch and make sure all 'Pending' orders
above have been changed to 'Quantity ordered'.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>